OGRE-Next: Ogre::MetalAsyncTextureTicket Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::MetalAsyncTextureTicket Class Referencefinal

See AsyncTextureTicket. More...

`#include <OgreMetalAsyncTextureTicket.h>`

Inheritance diagram for Ogre::MetalAsyncTextureTicket:
[legend]

## Public Member Functions
| MetalAsyncTextureTicket (uint32 width, uint32 height, uint32 depthOrSlices, TextureTypes::TextureTypes textureType, PixelFormatGpu pixelFormatFamily, MetalVaoManager *vaoManager, MetalDevice *device)
| ~MetalAsyncTextureTicket () override
bool | queryIsTransferDone () override
Public Member Functions inherited from Ogre::AsyncTextureTicket
| AsyncTextureTicket (uint32 width, uint32 height, uint32 depthOrSlices, TextureTypes::TextureTypes textureType, PixelFormatGpu pixelFormatFamily)
| ~AsyncTextureTicket () override
virtual bool | canMapMoreThanOneSlice () const
| See Image2::convertFromTexture for an example of how to use AyncTextureTicket.
void | download (TextureGpu *textureSrc, uint8 mipLevel, bool accurateTracking, TextureBox *srcBox=0, bool bImmediate=false)
| Downloads textureSrc into this ticket.
size_t | getBytesPerImage () const
uint32 | getBytesPerRow () const
uint32 | getDepth () const
| For TypeCube & TypeCubeArray, this value returns 1.
uint32 | getDepthOrSlices () const
uint32 | getHeight () const
uint32 | getNumSlices () const
| For TypeCube this value returns 6.
PixelFormatGpu | getPixelFormatFamily () const
uint32 | getWidth () const
TextureBox | map (uint32 slice)
| Maps the buffer for CPU access.
void | notifyTextureChanged (TextureGpu *texture, TextureGpuListener::Reason reason, void *extraData) override
| TextureGpuListener overload.
void | unmap ()
| Unmaps the pointer mapped with map().
Public Member Functions inherited from Ogre::TextureGpuListener
virtual | ~TextureGpuListener ()
virtual bool | shouldStayLoaded (TextureGpu *texture)
| Return true if this TextureGpu should likely stay loaded or else graphical changes could occur.

## Additional Inherited Members
Public Types inherited from Ogre::AsyncTextureTicket
enum | Status { Ready , Downloading , Mapped }
Public Types inherited from Ogre::TextureGpuListener
enum | Reason { Unknown , FromStorageToSysRam , FromSysRamToStorage , GainedResidency , LostResidency , PoolTextureSlotChanged , ResidentToSysRamSync , MetadataCacheOutOfDate , ExceptionThrown , FsaaSettingAlteredByApi , ReadyForRendering , Deleted }

## Detailed Description

See AsyncTextureTicket.

## Constructor & Destructor Documentation

## ◆ MetalAsyncTextureTicket()

Ogre::MetalAsyncTextureTicket::MetalAsyncTextureTicket | ( | uint32 | width,
|  | uint32 | height,
|  | uint32 | depthOrSlices,
|  | TextureTypes::TextureTypes | textureType,
|  | PixelFormatGpu | pixelFormatFamily,
|  | MetalVaoManager * | vaoManager,
|  | MetalDevice * | device )

## ◆ ~MetalAsyncTextureTicket()

Ogre::MetalAsyncTextureTicket::~MetalAsyncTextureTicket | ( |  | ) |
| override

## Member Function Documentation

## ◆ queryIsTransferDone()

bool Ogre::MetalAsyncTextureTicket::queryIsTransferDone | ( |  | ) |
| overridevirtual

Reimplemented from Ogre::AsyncTextureTicket.

The documentation for this class was generated from the following file:

- OgreMetalAsyncTextureTicket.h